$(function () {
    $(".RequestTitle").click(function (e) {
        var currentID = e.target.id;
        var descriptionID = currentID.replace('requestTitle', '#requestContent');
        $(descriptionID).slideToggle(300);
    });


    $("#statusFilter").change(function () {
            location.href = "?filter=" + $(this).val();
        }
    );


    $(".RequestStatus").change(function (e) {
        var requestId = e.target.id.replace('requestStatus', '');
        var status = $(this).val();
        var statusSelect = $(this);
        statusSelect.prop( "disabled", true );
        $.ajax({
            type: "POST",
            url: URLdir + "handler/RequestsProcessing/setStatus",
            data: {
                requestID: requestId,
                status: status
            },
            success: function (data) {
                data = $.parseJSON(data);
                if (data.success === true) {
                    EventInspector.success('Статус изменен!');
                }
                else {
                    EventInspector.error('Ошибка!');
                }
                statusSelect.prop( "disabled", false );
            }
        });
    });
});
